#include "tetris-struct.h"

#include <stdlib.h>

Grid gridInit(){
    Grid g;
    g.matrix = calloc(g.width, sizeof(Square*));

    for(int i = 0; i < g.width; i++){
        g.matrix[i] = calloc(g.height, sizeof(Square));
    }

    g.matrix = squareMatrixInit(g.matrix, g.width, g.height);

    return g;
}

Square squareInit(){
    Square sq;
    sq.isFilled = false;

    return sq;
}

Square** squareMatrixInit(Square** matrix, int width, int height){
    for(int i = 0; i < width; i++){
        for(int j = 0; j < height; j++){
            matrix[i][j] = squareInit();
        }
    }
    return matrix;
}

Piece pieceInit(){
    Piece p;
    p.matrix = calloc(p.size, sizeof(Square*));

    for(int i = 0; i < p.size; i++){
        p.matrix[i] = calloc(p.size, sizeof(Square));
    }

    p.matrix = squareMatrixInit(p.matrix, p.size, p.size);

    return p;
}

