#include <stdbool.h>

typedef struct Square{
    int size;
    bool isFilled;

} Square;

typedef struct Grid
{
    int height = 20;
    int width = 10;

    Square** matrix;
} Grid;

typedef struct Piece
{
    int size = 4;

    Square** matrix;
} Piece;

Grid gridInit();
Square squareInit();
Square** squareMatrixInit(Square** matrix, int width, int height);
Piece pieceInit();

void down();
void move();
void rotate();